Linux web-conference.aiou.edu.pk 5.4.0-205-generic #225-Ubuntu SMP Fri Jan 10 22:23:35 UTC 2025 x86_64
Apache/2.4.41 (Ubuntu)
: 172.16.50.247 | : 3.16.112.176
Cant Read [ /etc/named.conf ]
7.4.3-4ubuntu2.28
root
www.github.com/MadExploits
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
CPANEL RESET
CREATE WP USER
BLACK DEFEND!
README
+ Create Folder
+ Create File
/
usr /
share /
initramfs-tools /
hooks /
[ HOME SHELL ]
Name
Size
Permission
Action
amd64_microcode
3.77
KB
-rwxr-xr-x
bcache
543
B
-rwxr-xr-x
btrfs
568
B
-rwxr-xr-x
cloud-initramfs-dyn-netconf
118
B
-rwxr-xr-x
compcache
3.55
KB
-rwxr-xr-x
console_setup
3.07
KB
-rwxr-xr-x
copymods
280
B
-rwxr-xr-x
cryptgnupg
921
B
-rwxr-xr-x
cryptgnupg-sc
2.19
KB
-rwxr-xr-x
cryptkeyctl
424
B
-rwxr-xr-x
cryptopensc
1.64
KB
-rwxr-xr-x
cryptpassdev
888
B
-rwxr-xr-x
cryptroot
16.84
KB
-rwxr-xr-x
cryptroot-unlock
637
B
-rwxr-xr-x
dmsetup
506
B
-rwxr-xr-x
fixrtc
436
B
-rwxr-xr-x
framebuffer
579
B
-rwxr-xr-x
fsck
1.91
KB
-rwxr-xr-x
fuse
230
B
-rwxr-xr-x
intel_microcode
4.83
KB
-rwxr-xr-x
iscsi
732
B
-rwxr-xr-x
kbd
301
B
-rwxr-xr-x
klibc-utils
646
B
-rwxr-xr-x
kmod
432
B
-rwxr-xr-x
lvm2
670
B
-rwxr-xr-x
mdadm
2.83
KB
-rwxr-xr-x
ntfs_3g
304
B
-rwxr-xr-x
overlayroot
732
B
-rwxr-xr-x
plymouth
5.74
KB
-rwxr-xr-x
resume
3.04
KB
-rwxr-xr-x
sg3-utils
485
B
-rwxr-xr-x
thermal
1.29
KB
-rwxr-xr-x
thin-provisioning-tools
369
B
-rwxr-xr-x
udev
1.66
KB
-rwxr-xr-x
xfs
850
B
-rwxr-xr-x
zz-busybox-initramfs
2.18
KB
-rwxr-xr-x
zz-dhclient
478
B
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : amd64_microcode
#!/bin/sh # amd64-microcode initramfs-tools hook script # Copyright (C) 2012-2016 Henrique de Moraes Holschuh <hmh@debian.org> # Released under the GPL v2 or later license # # Generates a copy of the minimal microcode for all AMD processors # and installs it to the early initramfs PREREQ="" AMD64UCODE_CONFIG=/etc/default/amd64-microcode prereqs() { echo "$PREREQ" } case $1 in prereqs) prereqs exit 0 ;; esac . /usr/share/initramfs-tools/hook-functions verbose() { if [ "${verbose}" = "y" ] ; then echo "I: amd64-microcode: $*" fi : } AUCODE_FW_DIR=/lib/firmware/amd-ucode if [ "$MODULES" = "most" ]; then AMD64UCODE_INITRAMFS=${AMD64UCODE_INITRAMFS:-early} else AMD64UCODE_INITRAMFS=${AMD64UCODE_INITRAMFS:-auto} fi [ -r ${AMD64UCODE_CONFIG} ] && . ${AMD64UCODE_CONFIG} [ -z "${AMD64UCODE_INITRAMFS}" ] && AMD64UCODE_INITRAMFS=no if [ ! -d "${AUCODE_FW_DIR}" ] ; then verbose "no AMD64 processor microcode datafiles to install" exit 0 fi case "${AMD64UCODE_INITRAMFS}" in no|0) verbose "disabled by ${AMD64UCODE_CONFIG}" exit 0 ;; auto|early) ;; yes|1) echo "W: amd64-microcode: initramfs mode not supported, using early-initramfs mode" >&2 AMD64UCODE_INITRAMFS=early ;; *) echo "E: amd64-microcode: invalid AMD64UCODE_INITRAMFS, using automatic mode" >&2 AMD64UCODE_INITRAMFS=auto esac if [ "${AMD64UCODE_INITRAMFS}" = "auto" ] ; then grep -q "^vendor_id[[:blank:]]*:[[:blank:]]*.*AuthenticAMD" /proc/cpuinfo || { verbose "no AMD processors detected, nothing to do" exit 0 } fi # whitelist AMD early updates for kernels 3.14 and later if dpkg --compare-versions "${version}" lt 3.14 ; then echo "E: amd64-microcode: unsupported kernel version!" >&2 exit 0 fi verbose "installing AMD64 microcode into the early initramfs..." # set during package build to the date from the package *version* CHANGELOG_TS=1576627200 EFWD=$(mktemp -d "${TMPDIR:-/var/tmp}/mkinitramfs-EFW_XXXXXXXXXX") || { echo "E: amd64-microcode: cannot create temporary directory" >&2 exit 1 } # paranoia [ ! -d "${EFWD}" ] && { echo "E: amd64-microcode: mktemp -d malfunction" >&2 exit 1 } EFWE="${EFWD}/early-initramfs.cpio" EFWCD="${EFWD}/d/kernel/x86/microcode" EFWF="${EFWCD}/AuthenticAMD.bin" # note: to build a reproducible early initramfs, we force # the microcode component ordering inside the microcode # firmware file, as well as the timestamp and ordering of # all cpio members. mkdir -p "${EFWCD}" && \ find "${AUCODE_FW_DIR}/." -maxdepth 1 -type f -print0 | LC_ALL=C sort -z | xargs -0 -r cat 2>/dev/null >"${EFWF}" && \ find "${EFWD}" -print0 | xargs -0r touch --no-dereference --date="@${CHANGELOG_TS}" && { \ # --reproducible requires cpio >= 2.12 cpio --usage | grep -qs -- "--reproducible" && cpio_reproducible="--reproducible" || true } && test -s "${EFWF}" && \ ( cd "${EFWD}/d" ; find . -print0 | LC_ALL=C sort -z | cpio --null $cpio_reproducible -R 0:0 -H newc -o --quiet > "${EFWE}" ) \ && prepend_earlyinitramfs "${EFWE}" || { # something failed somewhere in that pipeline [ -d "${EFWD}" ] && rm -fr "${EFWD}" echo "E: amd64-microcode: failed to create or prepend the early initramfs to the initramfs" >&2 exit 0 } [ -d "${EFWD}" ] && rm -fr "${EFWD}" # attempt to load microcode module to get proper logging. # microcode support cannot be made modular since Linux 4.4 if dpkg --compare-versions "${version}" lt 4.4 ; then manual_add_modules microcode && { # force_load has broken semanthics when the .ko file is missing find "${DESTDIR}/${MODULESDIR}" -type f -print | grep -qc '/microcode\.ko$' && { verbose "modular microcode driver detected" force_load microcode } } fi :
Close